View Issue Details

IDProjectCategoryView StatusLast Update
0002937Path[FreeCAD] Bugpublic2017-04-25 14:36
Reportermlampert Assigned Tomlampert  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version[FreeCAD] 0.17 
Target Version[FreeCAD] 0.17Fixed in Version[FreeCAD] 0.17 
Summary0002937: Holding tags dressup creates wrong arcs
DescriptionSome paths cause the holding tag dressup to generate arcs that are oriented wrong. Interestingly it doesn't matter if the arc touches a holding tag or not, which probably means it's an issue in PathGeom.py.

Steps To Reproducesee attached file
TagsNo tags attached.
FreeCAD Information

Activities

mlampert

2017-03-02 03:47

developer  

bracket.fcstd (34,956 bytes)

Kunda1

2017-04-25 14:34

administrator   ~0008756

Fixed in FreeCAD master 886ba74b

Bugtracker note: before closing ticket attach commit to it.

Kunda1

2017-04-25 14:36

administrator   ~0008757

Attached commit. Closing

Related Changesets

FreeCAD: master 886ba74b

2017-03-03 05:05:08

mlampert


Committer: yorik Details Diff
Fixed G2/3 command generation for flipped arcs. Affected Issues
0002937
mod - src/Mod/Path/PathScripts/PathDressupHoldingTags.py Diff File
mod - src/Mod/Path/PathScripts/PathGeom.py Diff File
mod - src/Mod/Path/PathTests/PathTestUtils.py Diff File
mod - src/Mod/Path/PathTests/TestPathGeom.py Diff File

Issue History

Date Modified Username Field Change
2017-03-02 03:47 mlampert New Issue
2017-03-02 03:47 mlampert Status new => assigned
2017-03-02 03:47 mlampert Assigned To => mlampert
2017-03-02 03:47 mlampert File Added: bracket.fcstd
2017-04-25 14:34 Kunda1 Status assigned => resolved
2017-04-25 14:34 Kunda1 Resolution open => fixed
2017-04-25 14:34 Kunda1 Fixed in Version => 0.17
2017-04-25 14:34 Kunda1 Note Added: 0008756
2017-04-25 14:35 Kunda1 Changeset attached => FreeCAD master 886ba74b
2017-04-25 14:36 Kunda1 Status resolved => closed
2017-04-25 14:36 Kunda1 Note Added: 0008757